Bug 257140 - kdevelop-4.1/PHP Crashs after starting up ( while scanning the files ) and Copy&Paste Content (3Lines..)
Summary: kdevelop-4.1/PHP Crashs after starting up ( while scanning the files ) and Co...
Status: RESOLVED WORKSFORME
Alias: None
Product: kdevelop
Classification: Applications
Component: general (show other bugs)
Version: 4.1.60
Platform: Compiled Sources Linux
: NOR crash (vote)
Target Milestone: 4.2.0
Assignee: kdevelop-bugs-null
URL:
Keywords: investigated, triaged
Depends on:
Blocks:
 
Reported: 2010-11-17 13:02 UTC by Tobias Hochgürtel
Modified: 2018-10-21 04:35 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
New crash information added by DrKonqi (52.83 KB, text/plain)
2010-11-17 13:10 UTC, Tobias Hochgürtel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Hochgürtel 2010-11-17 13:02:54 UTC
Application: kdevelop (4.1.60)
KDE Platform Version: 4.5.3 (KDE 4.5.3) (Compiled from sources)
Qt Version: 4.6.3
Operating System: Linux 2.6.31-gentoo-r6 x86_64
Distribution (Platform): Gentoo Packages

-- Information about the crash:
- What I was doing when the application crashed:

I was on creating an New Class File in PHP. kdevelop 4.1 (from Sources, last eveing). I startet to copy and paste 3 require_once() Lines and while/or when I want to paste them in my Document kdevelop crashed. Repoduceable here.

The crash can be reproduced every time.

-- Backtrace:
Application: KDevelop (kdevelop), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f4986fc2760 (LWP 1678))]

Thread 22 (Thread 0x7f4963e6c710 (LWP 1680)):
#0  0x00007f49842599e3 in select () from /lib/libc.so.6
#1  0x00007f49855b0df5 in ?? () from /usr/lib64/qt4/libQtCore.so.4
#2  0x00007f49854e4235 in ?? () from /usr/lib64/qt4/libQtCore.so.4
#3  0x00007f4983f79894 in start_thread () from /lib/libpthread.so.0
#4  0x00007f498426027d in clone () from /lib/libc.so.6

Thread 21 (Thread 0x7f49633f4710 (LWP 1682)):
#0  0x00007f4983f7e23c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f49854e5199 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/qt4/libQtCore.so.4
#2  0x00007f497ced4aa6 in ?? () from /usr/lib/libthreadweaver.so.4
#3  0x00007f497ced6d5b in ?? () from /usr/lib/libthreadweaver.so.4
#4  0x00007f497ced6d74 in ?? () from /usr/lib/libthreadweaver.so.4
#5  0x00007f497ced52ff in ?? () from /usr/lib/libthreadweaver.so.4
#6  0x00007f497ced5848 in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#7  0x00007f49854e4235 in ?? () from /usr/lib64/qt4/libQtCore.so.4
#8  0x00007f4983f79894 in start_thread () from /lib/libpthread.so.0
#9  0x00007f498426027d in clone () from /lib/libc.so.6

Thread 20 (Thread 0x7f4961fd6710 (LWP 1754)):
#0  0x00007f49842575c3 in poll () from /lib/libc.so.6
#1  0x00007f497f284c6a in ?? () from /usr/lib/libglib-2.0.so.0
#2  0x00007f497f284ffb in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#3  0x00007f49855fd576 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#4  0x00007f49855d2642 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#5  0x00007f49855d2a14 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#6  0x00007f49854e1a69 in QThread::exec() () from /usr/lib64/qt4/libQtCore.so.4
#7  0x00007f49855b33d8 in ?? () from /usr/lib64/qt4/libQtCore.so.4
#8  0x00007f49854e4235 in ?? () from /usr/lib64/qt4/libQtCore.so.4
#9  0x00007f4983f79894 in start_thread () from /lib/libpthread.so.0
#10 0x00007f498426027d in clone () from /lib/libc.so.6

Thread 19 (Thread 0x7f49617d5710 (LWP 1755)):
#0  0x00007f4983f7e23c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f49854e5199 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/qt4/libQtCore.so.4
#2  0x00007f497ced4aa6 in ?? () from /usr/lib/libthreadweaver.so.4
#3  0x00007f497ced6d5b in ?? () from /usr/lib/libthreadweaver.so.4
#4  0x00007f497ced52ff in ?? () from /usr/lib/libthreadweaver.so.4
#5  0x00007f497ced5848 in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#6  0x00007f49854e4235 in ?? () from /usr/lib64/qt4/libQtCore.so.4
#7  0x00007f4983f79894 in start_thread () from /lib/libpthread.so.0
#8  0x00007f498426027d in clone () from /lib/libc.so.6

Thread 18 (Thread 0x7f495a366710 (LWP 1757)):
#0  0x00007f49842575c3 in poll () from /lib/libc.so.6
#1  0x00007f497f284c6a in ?? () from /usr/lib/libglib-2.0.so.0
#2  0x00007f497f284ffb in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#3  0x00007f49855fd576 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#4  0x00007f49855d2642 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#5  0x00007f49855d2a14 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#6  0x00007f49854e1a69 in QThread::exec() () from /usr/lib64/qt4/libQtCore.so.4
#7  0x00007f49854e4235 in ?? () from /usr/lib64/qt4/libQtCore.so.4
#8  0x00007f4983f79894 in start_thread () from /lib/libpthread.so.0
#9  0x00007f498426027d in clone () from /lib/libc.so.6

Thread 17 (Thread 0x7f4953fff710 (LWP 1941)):
#0  0x00007f4983f7e23c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f496ac2ca86 in ?? () from /usr/lib64/qt4/libQtScript.so.4
#2  0x00007f496ac2cac9 in ?? () from /usr/lib64/qt4/libQtScript.so.4
#3  0x00007f4983f79894 in start_thread () from /lib/libpthread.so.0
#4  0x00007f498426027d in clone () from /lib/libc.so.6

Thread 16 (Thread 0x7f4958f72710 (LWP 1943)):
[KCrash Handler]
#6  0x00007f4981d73e9b in KDevelop::DUContext::findDeclarations(KDevelop::QualifiedIdentifier const&, KDevelop::CursorInRevision const&, TypePtr<KDevelop::AbstractType> const&, KDevelop::TopDUContext const*, QFlags<KDevelop::DUContext::SearchFlag>) const () from /usr/lib/libkdevplatformlanguage.so.3
#7  0x00007f495a828e54 in Php::ExpressionVisitor::visitEncapsVar(Php::EncapsVarAst*) () from /usr/lib/libkdev4phpduchain.so
#8  0x00007f495a5c7f1d in Php::DefaultVisitor::visitEncapsList(Php::EncapsListAst*) () from /usr/lib/libkdev4phpparser.so
#9  0x00007f495a82574e in Php::ExpressionVisitor::visitScalar(Php::ScalarAst*) () from /usr/lib/libkdev4phpduchain.so
#10 0x00007f495a5c9167 in Php::DefaultVisitor::visitVarExpressionNormal(Php::VarExpressionNormalAst*) () from /usr/lib/libkdev4phpparser.so
#11 0x00007f495a826481 in Php::ExpressionVisitor::visitVarExpressionNormal(Php::VarExpressionNormalAst*) () from /usr/lib/libkdev4phpduchain.so
#12 0x00007f495a5c8ff4 in Php::DefaultVisitor::visitUnaryExpressionNotPlusminus(Php::UnaryExpressionNotPlusminusAst*) () from /usr/lib/libkdev4phpparser.so
#13 0x00007f495a826c16 in Php::ExpressionVisitor::visitUnaryExpression(Php::UnaryExpressionAst*) () from /usr/lib/libkdev4phpduchain.so
#14 0x00007f495a5c84a4 in Php::DefaultVisitor::visitMultiplicativeExpression(Php::MultiplicativeExpressionAst*) () from /usr/lib/libkdev4phpparser.so
#15 0x00007f495a5c73b4 in Php::DefaultVisitor::visitAdditiveExpression(Php::AdditiveExpressionAst*) () from /usr/lib/libkdev4phpparser.so
#16 0x00007f495a5c8924 in Php::DefaultVisitor::visitShiftExpression(Php::ShiftExpressionAst*) () from /usr/lib/libkdev4phpparser.so
#17 0x00007f495a5c883a in Php::DefaultVisitor::visitRelationalExpression(Php::RelationalExpressionAst*) () from /usr/lib/libkdev4phpparser.so
#18 0x00007f495a5c7fa4 in Php::DefaultVisitor::visitEqualityExpression(Php::EqualityExpressionAst*) () from /usr/lib/libkdev4phpparser.so
#19 0x00007f495a5c765d in Php::DefaultVisitor::visitBitAndExpression(Php::BitAndExpressionAst*) () from /usr/lib/libkdev4phpparser.so
#20 0x00007f495a5c76fd in Php::DefaultVisitor::visitBitXorExpression(Php::BitXorExpressionAst*) () from /usr/lib/libkdev4phpparser.so
#21 0x00007f495a5c76ad in Php::DefaultVisitor::visitBitOrExpression(Php::BitOrExpressionAst*) () from /usr/lib/libkdev4phpparser.so
#22 0x00007f495a5c774d in Php::DefaultVisitor::visitBooleanAndExpression(Php::BooleanAndExpressionAst*) () from /usr/lib/libkdev4phpparser.so
#23 0x00007f495a5c779d in Php::DefaultVisitor::visitBooleanOrExpression(Php::BooleanOrExpressionAst*) () from /usr/lib/libkdev4phpparser.so
#24 0x00007f495a5c7c1e in Php::DefaultVisitor::visitConditionalExpression(Php::ConditionalExpressionAst*) () from /usr/lib/libkdev4phpparser.so
#25 0x00007f495a828004 in Php::ExpressionVisitor::visitAssignmentExpression(Php::AssignmentExpressionAst*) () from /usr/lib/libkdev4phpduchain.so
#26 0x00007f495a5c83cd in Php::DefaultVisitor::visitLogicalAndExpression(Php::LogicalAndExpressionAst*) () from /usr/lib/libkdev4phpparser.so
#27 0x00007f495a5c846d in Php::DefaultVisitor::visitLogicalXorExpression(Php::LogicalXorExpressionAst*) () from /usr/lib/libkdev4phpparser.so
#28 0x00007f495a5c841d in Php::DefaultVisitor::visitLogicalOrExpression(Php::LogicalOrExpressionAst*) () from /usr/lib/libkdev4phpparser.so
#29 0x00007f495a82981d in Php::ExpressionParser::evaluateType(Php::AstNode*, Php::EditorIntegrator*, KDevelop::CursorInRevision const&) () from /usr/lib/libkdev4phpduchain.so
#30 0x00007f495a829a28 in Php::ExpressionParser::evaluateType(Php::AstNode*, Php::EditorIntegrator*) () from /usr/lib/libkdev4phpduchain.so
#31 0x00007f495a81ea6c in Php::TypeBuilder::getTypeForNode(Php::AstNode*) () from /usr/lib/libkdev4phpduchain.so
#32 0x00007f495a8215fc in Php::TypeBuilder::visitExpr(Php::ExprAst*) () from /usr/lib/libkdev4phpduchain.so
#33 0x00007f495a5c8c8d in Php::DefaultVisitor::visitStatement(Php::StatementAst*) () from /usr/lib/libkdev4phpparser.so
#34 0x00007f495a820140 in Php::TypeBuilder::visitStatement(Php::StatementAst*) () from /usr/lib/libkdev4phpduchain.so
#35 0x00007f495a810778 in Php::DeclarationBuilder::visitStatement(Php::StatementAst*) () from /usr/lib/libkdev4phpduchain.so
#36 0x00007f495a5c8f06 in Php::DefaultVisitor::visitTopStatement(Php::TopStatementAst*) () from /usr/lib/libkdev4phpparser.so
#37 0x00007f495a5c82cd in Php::DefaultVisitor::visitInnerStatementList(Php::InnerStatementListAst*) () from /usr/lib/libkdev4phpparser.so
#38 0x00007f495a81b042 in Php::ContextBuilder::visitClassStatement(Php::ClassStatementAst*) () from /usr/lib/libkdev4phpduchain.so
#39 0x00007f495a823057 in Php::TypeBuilder::visitClassStatement(Php::ClassStatementAst*) () from /usr/lib/libkdev4phpduchain.so
#40 0x00007f495a81343b in Php::DeclarationBuilder::visitClassStatement(Php::ClassStatementAst*) () from /usr/lib/libkdev4phpduchain.so
#41 0x00007f495a5c78cd in Php::DefaultVisitor::visitClassBody(Php::ClassBodyAst*) () from /usr/lib/libkdev4phpparser.so
#42 0x00007f495a819ce0 in Php::ContextBuilder::visitClassDeclarationStatement(Php::ClassDeclarationStatementAst*) () from /usr/lib/libkdev4phpduchain.so
#43 0x00007f495a815774 in Php::DeclarationBuilder::visitClassDeclarationStatement(Php::ClassDeclarationStatementAst*) () from /usr/lib/libkdev4phpduchain.so
#44 0x00007f495a5c8f20 in Php::DefaultVisitor::visitTopStatement(Php::TopStatementAst*) () from /usr/lib/libkdev4phpparser.so
#45 0x00007f495a80d114 in Php::DeclarationBuilder::visitOuterTopStatement(Php::OuterTopStatementAst*) () from /usr/lib/libkdev4phpduchain.so
#46 0x00007f495a5c89bd in Php::DefaultVisitor::visitStart(Php::StartAst*) () from /usr/lib/libkdev4phpparser.so
#47 0x00007f495a81955d in Php::ContextBuilder::startVisiting(Php::AstNode*) () from /usr/lib/libkdev4phpduchain.so
#48 0x00007f495a80d53f in Php::DeclarationBuilder::supportBuild(Php::AstNode*, KDevelop::DUContext*) () from /usr/lib/libkdev4phpduchain.so
#49 0x00007f495a80e806 in Php::DeclarationBuilder::build(KDevelop::IndexedString const&, Php::AstNode*, KDevelop::ReferencedTopDUContext) () from /usr/lib/libkdev4phpduchain.so
#50 0x00007f495aa782d9 in ?? () from /usr/lib64/kde4/kdevphplanguagesupport.so
#51 0x00007f497ced5f95 in ?? () from /usr/lib/libthreadweaver.so.4
#52 0x00007f497ced628e in ThreadWeaver::Job::execute(ThreadWeaver::Thread*) () from /usr/lib/libthreadweaver.so.4
#53 0x00007f497ced52cf in ?? () from /usr/lib/libthreadweaver.so.4
#54 0x00007f497ced5848 in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#55 0x00007f49854e4235 in ?? () from /usr/lib64/qt4/libQtCore.so.4
#56 0x00007f4983f79894 in start_thread () from /lib/libpthread.so.0
#57 0x00007f498426027d in clone () from /lib/libc.so.6

Thread 15 (Thread 0x7f495267f710 (LWP 1944)):
#0  0x00007f498423063d in nanosleep () from /lib/libc.so.6
#1  0x00007f498425a254 in usleep () from /lib/libc.so.6
#2  0x00007f4981daf6ee in KDevelop::DUChainLock::lockForWrite(unsigned int) () from /usr/lib/libkdevplatformlanguage.so.3
#3  0x00007f4981daf7a4 in KDevelop::DUChainWriteLocker::lock() () from /usr/lib/libkdevplatformlanguage.so.3
#4  0x00007f495a81d8bb in ?? () from /usr/lib/libkdev4phpduchain.so
#5  0x00007f495a81c9be in Php::UseBuilder::newCheckedUse(Php::AstNode*, KDevelop::DUChainPointer<KDevelop::Declaration> const&) () from /usr/lib/libkdev4phpduchain.so
#6  0x00007f495a8283e4 in Php::ExpressionVisitor::processVariable(Php::VariableIdentifierAst*) () from /usr/lib/libkdev4phpduchain.so
#7  0x00007f495a8290fd in Php::ExpressionVisitor::visitCompoundVariableWithSimpleIndirectReference(Php::CompoundVariableWithSimpleIndirectReferenceAst*) () from /usr/lib/libkdev4phpduchain.so
#8  0x00007f495a5c757a in Php::DefaultVisitor::visitBaseVariable(Php::BaseVariableAst*) () from /usr/lib/libkdev4phpparser.so
#9  0x00007f495a8258b1 in Php::ExpressionVisitor::visitBaseVariable(Php::BaseVariableAst*) () from /usr/lib/libkdev4phpduchain.so
#10 0x00007f495a5c9244 in Php::DefaultVisitor::visitVariable(Php::VariableAst*) () from /usr/lib/libkdev4phpparser.so
#11 0x00007f495a5c9158 in Php::DefaultVisitor::visitVarExpressionNormal(Php::VarExpressionNormalAst*) () from /usr/lib/libkdev4phpparser.so
#12 0x00007f495a826481 in Php::ExpressionVisitor::visitVarExpressionNormal(Php::VarExpressionNormalAst*) () from /usr/lib/libkdev4phpduchain.so
#13 0x00007f495a5c8ff4 in Php::DefaultVisitor::visitUnaryExpressionNotPlusminus(Php::UnaryExpressionNotPlusminusAst*) () from /usr/lib/libkdev4phpparser.so
#14 0x00007f495a826c16 in Php::ExpressionVisitor::visitUnaryExpression(Php::UnaryExpressionAst*) () from /usr/lib/libkdev4phpduchain.so
#15 0x00007f495a5c84a4 in Php::DefaultVisitor::visitMultiplicativeExpression(Php::MultiplicativeExpressionAst*) () from /usr/lib/libkdev4phpparser.so
#16 0x00007f495a5c73b4 in Php::DefaultVisitor::visitAdditiveExpression(Php::AdditiveExpressionAst*) () from /usr/lib/libkdev4phpparser.so
#17 0x00007f495a5c8924 in Php::DefaultVisitor::visitShiftExpression(Php::ShiftExpressionAst*) () from /usr/lib/libkdev4phpparser.so
#18 0x00007f495a5c883a in Php::DefaultVisitor::visitRelationalExpression(Php::RelationalExpressionAst*) () from /usr/lib/libkdev4phpparser.so
#19 0x00007f495a5c7fa4 in Php::DefaultVisitor::visitEqualityExpression(Php::EqualityExpressionAst*) () from /usr/lib/libkdev4phpparser.so
#20 0x00007f495a5c765d in Php::DefaultVisitor::visitBitAndExpression(Php::BitAndExpressionAst*) () from /usr/lib/libkdev4phpparser.so
#21 0x00007f495a5c76fd in Php::DefaultVisitor::visitBitXorExpression(Php::BitXorExpressionAst*) () from /usr/lib/libkdev4phpparser.so
#22 0x00007f495a5c76ad in Php::DefaultVisitor::visitBitOrExpression(Php::BitOrExpressionAst*) () from /usr/lib/libkdev4phpparser.so
#23 0x00007f495a5c774d in Php::DefaultVisitor::visitBooleanAndExpression(Php::BooleanAndExpressionAst*) () from /usr/lib/libkdev4phpparser.so
#24 0x00007f495a5c779d in Php::DefaultVisitor::visitBooleanOrExpression(Php::BooleanOrExpressionAst*) () from /usr/lib/libkdev4phpparser.so
#25 0x00007f495a5c7c1e in Php::DefaultVisitor::visitConditionalExpression(Php::ConditionalExpressionAst*) () from /usr/lib/libkdev4phpparser.so
#26 0x00007f495a828004 in Php::ExpressionVisitor::visitAssignmentExpression(Php::AssignmentExpressionAst*) () from /usr/lib/libkdev4phpduchain.so
#27 0x00007f495a5c83cd in Php::DefaultVisitor::visitLogicalAndExpression(Php::LogicalAndExpressionAst*) () from /usr/lib/libkdev4phpparser.so
#28 0x00007f495a5c846d in Php::DefaultVisitor::visitLogicalXorExpression(Php::LogicalXorExpressionAst*) () from /usr/lib/libkdev4phpparser.so
#29 0x00007f495a5c841d in Php::DefaultVisitor::visitLogicalOrExpression(Php::LogicalOrExpressionAst*) () from /usr/lib/libkdev4phpparser.so
#30 0x00007f495a5c818d in Php::DefaultVisitor::visitFunctionCallParameterList(Php::FunctionCallParameterListAst*) () from /usr/lib/libkdev4phpparser.so
#31 0x00007f495a82565a in Php::ExpressionVisitor::visitFunctionCallParameterList(Php::FunctionCallParameterListAst*) () from /usr/lib/libkdev4phpduchain.so
#32 0x00007f495a5c8113 in Php::DefaultVisitor::visitFunctionCall(Php::FunctionCallAst*) () from /usr/lib/libkdev4phpparser.so
#33 0x00007f495a826620 in Php::ExpressionVisitor::visitFunctionCall(Php::FunctionCallAst*) () from /usr/lib/libkdev4phpduchain.so
#34 0x00007f495a5c75fe in Php::DefaultVisitor::visitBaseVariableWithFunctionCalls(Php::BaseVariableWithFunctionCallsAst*) () from /usr/lib/libkdev4phpparser.so
#35 0x00007f495a5c9244 in Php::DefaultVisitor::visitVariable(Php::VariableAst*) () from /usr/lib/libkdev4phpparser.so
#36 0x00007f495a5c9158 in Php::DefaultVisitor::visitVarExpressionNormal(Php::VarExpressionNormalAst*) () from /usr/lib/libkdev4phpparser.so
#37 0x00007f495a826481 in Php::ExpressionVisitor::visitVarExpressionNormal(Php::VarExpressionNormalAst*) () from /usr/lib/libkdev4phpduchain.so
#38 0x00007f495a5c8ff4 in Php::DefaultVisitor::visitUnaryExpressionNotPlusminus(Php::UnaryExpressionNotPlusminusAst*) () from /usr/lib/libkdev4phpparser.so
#39 0x00007f495a826c16 in Php::ExpressionVisitor::visitUnaryExpression(Php::UnaryExpressionAst*) () from /usr/lib/libkdev4phpduchain.so
#40 0x00007f495a5c8f56 in Php::DefaultVisitor::visitUnaryExpression(Php::UnaryExpressionAst*) () from /usr/lib/libkdev4phpparser.so
#41 0x00007f495a826c16 in Php::ExpressionVisitor::visitUnaryExpression(Php::UnaryExpressionAst*) () from /usr/lib/libkdev4phpduchain.so
#42 0x00007f495a5c84a4 in Php::DefaultVisitor::visitMultiplicativeExpression(Php::MultiplicativeExpressionAst*) () from /usr/lib/libkdev4phpparser.so
#43 0x00007f495a5c73b4 in Php::DefaultVisitor::visitAdditiveExpression(Php::AdditiveExpressionAst*) () from /usr/lib/libkdev4phpparser.so
#44 0x00007f495a5c8924 in Php::DefaultVisitor::visitShiftExpression(Php::ShiftExpressionAst*) () from /usr/lib/libkdev4phpparser.so
#45 0x00007f495a5c883a in Php::DefaultVisitor::visitRelationalExpression(Php::RelationalExpressionAst*) () from /usr/lib/libkdev4phpparser.so
#46 0x00007f495a5c7fa4 in Php::DefaultVisitor::visitEqualityExpression(Php::EqualityExpressionAst*) () from /usr/lib/libkdev4phpparser.so
#47 0x00007f495a5c765d in Php::DefaultVisitor::visitBitAndExpression(Php::BitAndExpressionAst*) () from /usr/lib/libkdev4phpparser.so
#48 0x00007f495a5c76fd in Php::DefaultVisitor::visitBitXorExpression(Php::BitXorExpressionAst*) () from /usr/lib/libkdev4phpparser.so
#49 0x00007f495a5c76ad in Php::DefaultVisitor::visitBitOrExpression(Php::BitOrExpressionAst*) () from /usr/lib/libkdev4phpparser.so
#50 0x00007f495a5c774d in Php::DefaultVisitor::visitBooleanAndExpression(Php::BooleanAndExpressionAst*) () from /usr/lib/libkdev4phpparser.so
#51 0x00007f495a5c779d in Php::DefaultVisitor::visitBooleanOrExpression(Php::BooleanOrExpressionAst*) () from /usr/lib/libkdev4phpparser.so
#52 0x00007f495a5c7c1e in Php::DefaultVisitor::visitConditionalExpression(Php::ConditionalExpressionAst*) () from /usr/lib/libkdev4phpparser.so
#53 0x00007f495a828004 in Php::ExpressionVisitor::visitAssignmentExpression(Php::AssignmentExpressionAst*) () from /usr/lib/libkdev4phpduchain.so
#54 0x00007f495a5c83cd in Php::DefaultVisitor::visitLogicalAndExpression(Php::LogicalAndExpressionAst*) () from /usr/lib/libkdev4phpparser.so
#55 0x00007f495a5c846d in Php::DefaultVisitor::visitLogicalXorExpression(Php::LogicalXorExpressionAst*) () from /usr/lib/libkdev4phpparser.so
#56 0x00007f495a5c841d in Php::DefaultVisitor::visitLogicalOrExpression(Php::LogicalOrExpressionAst*) () from /usr/lib/libkdev4phpparser.so
#57 0x00007f495a81c272 in Php::UseBuilder::visitExpr(Php::ExprAst*) () from /usr/lib/libkdev4phpduchain.so
#58 0x00007f495a5c89f8 in Php::DefaultVisitor::visitStatement(Php::StatementAst*) () from /usr/lib/libkdev4phpparser.so
#59 0x00007f495a81c34d in Php::UseBuilder::visitStatement(Php::StatementAst*) () from /usr/lib/libkdev4phpduchain.so
#60 0x00007f495a5c8f06 in Php::DefaultVisitor::visitTopStatement(Php::TopStatementAst*) () from /usr/lib/libkdev4phpparser.so
#61 0x00007f495a5c82cd in Php::DefaultVisitor::visitInnerStatementList(Php::InnerStatementListAst*) () from /usr/lib/libkdev4phpparser.so
#62 0x00007f495a5c89ea in Php::DefaultVisitor::visitStatement(Php::StatementAst*) () from /usr/lib/libkdev4phpparser.so
#63 0x00007f495a81c34d in Php::UseBuilder::visitStatement(Php::StatementAst*) () from /usr/lib/libkdev4phpduchain.so
#64 0x00007f495a5c8a22 in Php::DefaultVisitor::visitStatement(Php::StatementAst*) () from /usr/lib/libkdev4phpparser.so
#65 0x00007f495a81c34d in Php::UseBuilder::visitStatement(Php::StatementAst*) () from /usr/lib/libkdev4phpduchain.so
#66 0x00007f495a5c8f06 in Php::DefaultVisitor::visitTopStatement(Php::TopStatementAst*) () from /usr/lib/libkdev4phpparser.so
#67 0x00007f495a5c82cd in Php::DefaultVisitor::visitInnerStatementList(Php::InnerStatementListAst*) () from /usr/lib/libkdev4phpparser.so
#68 0x00007f495a5c89ea in Php::DefaultVisitor::visitStatement(Php::StatementAst*) () from /usr/lib/libkdev4phpparser.so
#69 0x00007f495a81c34d in Php::UseBuilder::visitStatement(Php::StatementAst*) () from /usr/lib/libkdev4phpduchain.so
#70 0x00007f495a5c93ae in Php::DefaultVisitor::visitWhileStatement(Php::WhileStatementAst*) () from /usr/lib/libkdev4phpparser.so
#71 0x00007f495a5c8a3e in Php::DefaultVisitor::visitStatement(Php::StatementAst*) () from /usr/lib/libkdev4phpparser.so
#72 0x00007f495a81c34d in Php::UseBuilder::visitStatement(Php::StatementAst*) () from /usr/lib/libkdev4phpduchain.so
#73 0x00007f495a5c8f06 in Php::DefaultVisitor::visitTopStatement(Php::TopStatementAst*) () from /usr/lib/libkdev4phpparser.so
#74 0x00007f495a5c82cd in Php::DefaultVisitor::visitInnerStatementList(Php::InnerStatementListAst*) () from /usr/lib/libkdev4phpparser.so
#75 0x00007f495a81b042 in Php::ContextBuilder::visitClassStatement(Php::ClassStatementAst*) () from /usr/lib/libkdev4phpduchain.so
#76 0x00007f495a5c78cd in Php::DefaultVisitor::visitClassBody(Php::ClassBodyAst*) () from /usr/lib/libkdev4phpparser.so
#77 0x00007f495a819ce0 in Php::ContextBuilder::visitClassDeclarationStatement(Php::ClassDeclarationStatementAst*) () from /usr/lib/libkdev4phpduchain.so
#78 0x00007f495a5c8f20 in Php::DefaultVisitor::visitTopStatement(Php::TopStatementAst*) () from /usr/lib/libkdev4phpparser.so
#79 0x00007f495a5c89bd in Php::DefaultVisitor::visitStart(Php::StartAst*) () from /usr/lib/libkdev4phpparser.so
#80 0x00007f495a81955d in Php::ContextBuilder::startVisiting(Php::AstNode*) () from /usr/lib/libkdev4phpduchain.so
#81 0x00007f495aa78e41 in ?? () from /usr/lib64/kde4/kdevphplanguagesupport.so
#82 0x00007f495aa78904 in ?? () from /usr/lib64/kde4/kdevphplanguagesupport.so
#83 0x00007f497ced5f95 in ?? () from /usr/lib/libthreadweaver.so.4
#84 0x00007f497ced628e in ThreadWeaver::Job::execute(ThreadWeaver::Thread*) () from /usr/lib/libthreadweaver.so.4
#85 0x00007f497ced52cf in ?? () from /usr/lib/libthreadweaver.so.4
#86 0x00007f497ced5848 in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#87 0x00007f49854e4235 in ?? () from /usr/lib64/qt4/libQtCore.so.4
#88 0x00007f4983f79894 in start_thread () from /lib/libpthread.so.0
#89 0x00007f498426027d in clone () from /lib/libc.so.6

Thread 14 (Thread 0x7f4951e7e710 (LWP 1946)):
#0  0x00007f4983f7e23c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f49854e5199 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/qt4/libQtCore.so.4
#2  0x00007f497ced4aa6 in ?? () from /usr/lib/libthreadweaver.so.4
#3  0x00007f497ced6d5b in ?? () from /usr/lib/libthreadweaver.so.4
#4  0x00007f497ced6d74 in ?? () from /usr/lib/libthreadweaver.so.4
#5  0x00007f497ced52ff in ?? () from /usr/lib/libthreadweaver.so.4
#6  0x00007f497ced5848 in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#7  0x00007f49854e4235 in ?? () from /usr/lib64/qt4/libQtCore.so.4
#8  0x00007f4983f79894 in start_thread () from /lib/libpthread.so.0
#9  0x00007f498426027d in clone () from /lib/libc.so.6

Thread 13 (Thread 0x7f494bfff710 (LWP 1947)):
#0  0x00007f498423063d in nanosleep () from /lib/libc.so.6
#1  0x00007f498425a254 in usleep () from /lib/libc.so.6
#2  0x00007f4981daf6ee in KDevelop::DUChainLock::lockForWrite(unsigned int) () from /usr/lib/libkdevplatformlanguage.so.3
#3  0x00007f4981daf7a4 in KDevelop::DUChainWriteLocker::lock() () from /usr/lib/libkdevplatformlanguage.so.3
#4  0x00007f495a80c4f8 in ?? () from /usr/lib/libkdev4phpduchain.so
#5  0x00007f495a819d26 in Php::ContextBuilder::visitClassDeclarationStatement(Php::ClassDeclarationStatementAst*) () from /usr/lib/libkdev4phpduchain.so
#6  0x00007f495a80b02d in Php::PreDeclarationBuilder::visitClassDeclarationStatement(Php::ClassDeclarationStatementAst*) () from /usr/lib/libkdev4phpduchain.so
#7  0x00007f495a5c8f20 in Php::DefaultVisitor::visitTopStatement(Php::TopStatementAst*) () from /usr/lib/libkdev4phpparser.so
#8  0x00007f495a5c89bd in Php::DefaultVisitor::visitStart(Php::StartAst*) () from /usr/lib/libkdev4phpparser.so
#9  0x00007f495a81955d in Php::ContextBuilder::startVisiting(Php::AstNode*) () from /usr/lib/libkdev4phpduchain.so
#10 0x00007f495a80b801 in ?? () from /usr/lib/libkdev4phpduchain.so
#11 0x00007f495a81aab9 in Php::ContextBuilder::build(KDevelop::IndexedString const&, Php::AstNode*, KDevelop::ReferencedTopDUContext) () from /usr/lib/libkdev4phpduchain.so
#12 0x00007f495a80e67f in Php::DeclarationBuilder::build(KDevelop::IndexedString const&, Php::AstNode*, KDevelop::ReferencedTopDUContext) () from /usr/lib/libkdev4phpduchain.so
#13 0x00007f495aa782d9 in ?? () from /usr/lib64/kde4/kdevphplanguagesupport.so
#14 0x00007f497ced5f95 in ?? () from /usr/lib/libthreadweaver.so.4
#15 0x00007f497ced628e in ThreadWeaver::Job::execute(ThreadWeaver::Thread*) () from /usr/lib/libthreadweaver.so.4
#16 0x00007f497ced52cf in ?? () from /usr/lib/libthreadweaver.so.4
#17 0x00007f497ced5848 in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#18 0x00007f49854e4235 in ?? () from /usr/lib64/qt4/libQtCore.so.4
#19 0x00007f4983f79894 in start_thread () from /lib/libpthread.so.0
#20 0x00007f498426027d in clone () from /lib/libc.so.6

Thread 12 (Thread 0x7f495167d710 (LWP 1948)):
#0  0x00007f498423063d in nanosleep () from /lib/libc.so.6
#1  0x00007f498425a254 in usleep () from /lib/libc.so.6
#2  0x00007f4981daf6ee in KDevelop::DUChainLock::lockForWrite(unsigned int) () from /usr/lib/libkdevplatformlanguage.so.3
#3  0x00007f4981daf7a4 in KDevelop::DUChainWriteLocker::lock() () from /usr/lib/libkdevplatformlanguage.so.3
#4  0x00007f495a839549 in Php::findDeclarationImportHelper(KDevelop::DUContext*, KDevelop::QualifiedIdentifier, Php::DeclarationType, Php::AstNode*, Php::EditorIntegrator*) ()
   from /usr/lib/libkdev4phpduchain.so
#5  0x00007f495a8189ff in Php::ContextBuilder::findDeclarationImport(Php::DeclarationType, KDevelop::QualifiedIdentifier const&, Php::AstNode*) () from /usr/lib/libkdev4phpduchain.so
#6  0x00007f495a8217f3 in Php::TypeBuilder::visitParameter(Php::ParameterAst*) () from /usr/lib/libkdev4phpduchain.so
#7  0x00007f495a81065b in Php::DeclarationBuilder::visitParameter(Php::ParameterAst*) () from /usr/lib/libkdev4phpduchain.so
#8  0x00007f495a5c87ed in Php::DefaultVisitor::visitParameterList(Php::ParameterListAst*) () from /usr/lib/libkdev4phpparser.so
#9  0x00007f495a81af31 in Php::ContextBuilder::visitClassStatement(Php::ClassStatementAst*) () from /usr/lib/libkdev4phpduchain.so
#10 0x00007f495a823057 in Php::TypeBuilder::visitClassStatement(Php::ClassStatementAst*) () from /usr/lib/libkdev4phpduchain.so
#11 0x00007f495a81343b in Php::DeclarationBuilder::visitClassStatement(Php::ClassStatementAst*) () from /usr/lib/libkdev4phpduchain.so
#12 0x00007f495a5c78cd in Php::DefaultVisitor::visitClassBody(Php::ClassBodyAst*) () from /usr/lib/libkdev4phpparser.so
#13 0x00007f495a819ce0 in Php::ContextBuilder::visitClassDeclarationStatement(Php::ClassDeclarationStatementAst*) () from /usr/lib/libkdev4phpduchain.so
#14 0x00007f495a815774 in Php::DeclarationBuilder::visitClassDeclarationStatement(Php::ClassDeclarationStatementAst*) () from /usr/lib/libkdev4phpduchain.so
#15 0x00007f495a5c8f20 in Php::DefaultVisitor::visitTopStatement(Php::TopStatementAst*) () from /usr/lib/libkdev4phpparser.so
#16 0x00007f495a80d114 in Php::DeclarationBuilder::visitOuterTopStatement(Php::OuterTopStatementAst*) () from /usr/lib/libkdev4phpduchain.so
#17 0x00007f495a5c89bd in Php::DefaultVisitor::visitStart(Php::StartAst*) () from /usr/lib/libkdev4phpparser.so
#18 0x00007f495a81955d in Php::ContextBuilder::startVisiting(Php::AstNode*) () from /usr/lib/libkdev4phpduchain.so
#19 0x00007f495a80d53f in Php::DeclarationBuilder::supportBuild(Php::AstNode*, KDevelop::DUContext*) () from /usr/lib/libkdev4phpduchain.so
#20 0x00007f495a80e806 in Php::DeclarationBuilder::build(KDevelop::IndexedString const&, Php::AstNode*, KDevelop::ReferencedTopDUContext) () from /usr/lib/libkdev4phpduchain.so
#21 0x00007f495aa782d9 in ?? () from /usr/lib64/kde4/kdevphplanguagesupport.so
#22 0x00007f497ced5f95 in ?? () from /usr/lib/libthreadweaver.so.4
#23 0x00007f497ced628e in ThreadWeaver::Job::execute(ThreadWeaver::Thread*) () from /usr/lib/libthreadweaver.so.4
#24 0x00007f497ced52cf in ?? () from /usr/lib/libthreadweaver.so.4
#25 0x00007f497ced5848 in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#26 0x00007f49854e4235 in ?? () from /usr/lib64/qt4/libQtCore.so.4
#27 0x00007f4983f79894 in start_thread () from /lib/libpthread.so.0
#28 0x00007f498426027d in clone () from /lib/libc.so.6

Thread 11 (Thread 0x7f4950e7c710 (LWP 1949)):
#0  0x00007f498423063d in nanosleep () from /lib/libc.so.6
#1  0x00007f498425a254 in usleep () from /lib/libc.so.6
#2  0x00007f4981daf6ee in KDevelop::DUChainLock::lockForWrite(unsigned int) () from /usr/lib/libkdevplatformlanguage.so.3
#3  0x00007f4981daf7a4 in KDevelop::DUChainWriteLocker::lock() () from /usr/lib/libkdevplatformlanguage.so.3
#4  0x00007f495a816105 in Php::DeclarationBuilder::declareVariable(KDevelop::DUContext*, TypePtr<KDevelop::AbstractType>, KDevelop::QualifiedIdentifier const&, Php::AstNode*) ()
   from /usr/lib/libkdev4phpduchain.so
#5  0x00007f495a817881 in Php::DeclarationBuilder::visitAssignmentExpressionEqual(Php::AssignmentExpressionEqualAst*) () from /usr/lib/libkdev4phpduchain.so
#6  0x00007f495a5c748b in Php::DefaultVisitor::visitAssignmentExpression(Php::AssignmentExpressionAst*) () from /usr/lib/libkdev4phpparser.so
#7  0x00007f495a80cb3b in Php::DeclarationBuilder::visitAssignmentExpression(Php::AssignmentExpressionAst*) () from /usr/lib/libkdev4phpduchain.so
#8  0x00007f495a5c83cd in Php::DefaultVisitor::visitLogicalAndExpression(Php::LogicalAndExpressionAst*) () from /usr/lib/libkdev4phpparser.so
#9  0x00007f495a5c846d in Php::DefaultVisitor::visitLogicalXorExpression(Php::LogicalXorExpressionAst*) () from /usr/lib/libkdev4phpparser.so
#10 0x00007f495a5c841d in Php::DefaultVisitor::visitLogicalOrExpression(Php::LogicalOrExpressionAst*) () from /usr/lib/libkdev4phpparser.so
#11 0x00007f495a8216b8 in Php::TypeBuilder::visitExpr(Php::ExprAst*) () from /usr/lib/libkdev4phpduchain.so
#12 0x00007f495a5c8b97 in Php::DefaultVisitor::visitStatement(Php::StatementAst*) () from /usr/lib/libkdev4phpparser.so
#13 0x00007f495a820140 in Php::TypeBuilder::visitStatement(Php::StatementAst*) () from /usr/lib/libkdev4phpduchain.so
#14 0x00007f495a810778 in Php::DeclarationBuilder::visitStatement(Php::StatementAst*) () from /usr/lib/libkdev4phpduchain.so
#15 0x00007f495a5c8f06 in Php::DefaultVisitor::visitTopStatement(Php::TopStatementAst*) () from /usr/lib/libkdev4phpparser.so
#16 0x00007f495a80d114 in Php::DeclarationBuilder::visitOuterTopStatement(Php::OuterTopStatementAst*) () from /usr/lib/libkdev4phpduchain.so
#17 0x00007f495a5c89bd in Php::DefaultVisitor::visitStart(Php::StartAst*) () from /usr/lib/libkdev4phpparser.so
#18 0x00007f495a81955d in Php::ContextBuilder::startVisiting(Php::AstNode*) () from /usr/lib/libkdev4phpduchain.so
#19 0x00007f495a80d53f in Php::DeclarationBuilder::supportBuild(Php::AstNode*, KDevelop::DUContext*) () from /usr/lib/libkdev4phpduchain.so
#20 0x00007f495a80e806 in Php::DeclarationBuilder::build(KDevelop::IndexedString const&, Php::AstNode*, KDevelop::ReferencedTopDUContext) () from /usr/lib/libkdev4phpduchain.so
#21 0x00007f495aa782d9 in ?? () from /usr/lib64/kde4/kdevphplanguagesupport.so
#22 0x00007f497ced5f95 in ?? () from /usr/lib/libthreadweaver.so.4
#23 0x00007f497ced628e in ThreadWeaver::Job::execute(ThreadWeaver::Thread*) () from /usr/lib/libthreadweaver.so.4
#24 0x00007f497ced52cf in ?? () from /usr/lib/libthreadweaver.so.4
#25 0x00007f497ced5848 in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#26 0x00007f49854e4235 in ?? () from /usr/lib64/qt4/libQtCore.so.4
#27 0x00007f4983f79894 in start_thread () from /lib/libpthread.so.0
#28 0x00007f498426027d in clone () from /lib/libc.so.6

Thread 10 (Thread 0x7f494b7fe710 (LWP 1950)):
#0  0x00007f498423063d in nanosleep () from /lib/libc.so.6
#1  0x00007f498425a254 in usleep () from /lib/libc.so.6
#2  0x00007f4981daf6ee in KDevelop::DUChainLock::lockForWrite(unsigned int) () from /usr/lib/libkdevplatformlanguage.so.3
#3  0x00007f4981daf7a4 in KDevelop::DUChainWriteLocker::lock() () from /usr/lib/libkdevplatformlanguage.so.3
#4  0x00007f495a821b0c in Php::TypeBuilder::visitParameter(Php::ParameterAst*) () from /usr/lib/libkdev4phpduchain.so
#5  0x00007f495a81065b in Php::DeclarationBuilder::visitParameter(Php::ParameterAst*) () from /usr/lib/libkdev4phpduchain.so
#6  0x00007f495a5c87ed in Php::DefaultVisitor::visitParameterList(Php::ParameterListAst*) () from /usr/lib/libkdev4phpparser.so
#7  0x00007f495a81af31 in Php::ContextBuilder::visitClassStatement(Php::ClassStatementAst*) () from /usr/lib/libkdev4phpduchain.so
#8  0x00007f495a823057 in Php::TypeBuilder::visitClassStatement(Php::ClassStatementAst*) () from /usr/lib/libkdev4phpduchain.so
#9  0x00007f495a81343b in Php::DeclarationBuilder::visitClassStatement(Php::ClassStatementAst*) () from /usr/lib/libkdev4phpduchain.so
#10 0x00007f495a5c78cd in Php::DefaultVisitor::visitClassBody(Php::ClassBodyAst*) () from /usr/lib/libkdev4phpparser.so
#11 0x00007f495a819ce0 in Php::ContextBuilder::visitClassDeclarationStatement(Php::ClassDeclarationStatementAst*) () from /usr/lib/libkdev4phpduchain.so
#12 0x00007f495a815774 in Php::DeclarationBuilder::visitClassDeclarationStatement(Php::ClassDeclarationStatementAst*) () from /usr/lib/libkdev4phpduchain.so
#13 0x00007f495a5c8f20 in Php::DefaultVisitor::visitTopStatement(Php::TopStatementAst*) () from /usr/lib/libkdev4phpparser.so
#14 0x00007f495a80d114 in Php::DeclarationBuilder::visitOuterTopStatement(Php::OuterTopStatementAst*) () from /usr/lib/libkdev4phpduchain.so
#15 0x00007f495a5c89bd in Php::DefaultVisitor::visitStart(Php::StartAst*) () from /usr/lib/libkdev4phpparser.so
#16 0x00007f495a81955d in Php::ContextBuilder::startVisiting(Php::AstNode*) () from /usr/lib/libkdev4phpduchain.so
#17 0x00007f495a80d53f in Php::DeclarationBuilder::supportBuild(Php::AstNode*, KDevelop::DUContext*) () from /usr/lib/libkdev4phpduchain.so
#18 0x00007f495a80e806 in Php::DeclarationBuilder::build(KDevelop::IndexedString const&, Php::AstNode*, KDevelop::ReferencedTopDUContext) () from /usr/lib/libkdev4phpduchain.so
#19 0x00007f495aa782d9 in ?? () from /usr/lib64/kde4/kdevphplanguagesupport.so
#20 0x00007f497ced5f95 in ?? () from /usr/lib/libthreadweaver.so.4
#21 0x00007f497ced628e in ThreadWeaver::Job::execute(ThreadWeaver::Thread*) () from /usr/lib/libthreadweaver.so.4
#22 0x00007f497ced52cf in ?? () from /usr/lib/libthreadweaver.so.4
#23 0x00007f497ced5848 in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#24 0x00007f49854e4235 in ?? () from /usr/lib64/qt4/libQtCore.so.4
#25 0x00007f4983f79894 in start_thread () from /lib/libpthread.so.0
#26 0x00007f498426027d in clone () from /lib/libc.so.6

Thread 9 (Thread 0x7f494affd710 (LWP 1951)):
#0  0x00007f498423063d in nanosleep () from /lib/libc.so.6
#1  0x00007f498425a254 in usleep () from /lib/libc.so.6
#2  0x00007f4981daf6ee in KDevelop::DUChainLock::lockForWrite(unsigned int) () from /usr/lib/libkdevplatformlanguage.so.3
#3  0x00007f4981daf7a4 in KDevelop::DUChainWriteLocker::lock() () from /usr/lib/libkdevplatformlanguage.so.3
#4  0x00007f495a814719 in Php::DeclarationBuilder::visitFunctionCall(Php::FunctionCallAst*) () from /usr/lib/libkdev4phpduchain.so
#5  0x00007f495a5c75fe in Php::DefaultVisitor::visitBaseVariableWithFunctionCalls(Php::BaseVariableWithFunctionCallsAst*) () from /usr/lib/libkdev4phpparser.so
#6  0x00007f495a5c9244 in Php::DefaultVisitor::visitVariable(Php::VariableAst*) () from /usr/lib/libkdev4phpparser.so
#7  0x00007f495a5c9158 in Php::DefaultVisitor::visitVarExpressionNormal(Php::VarExpressionNormalAst*) () from /usr/lib/libkdev4phpparser.so
#8  0x00007f495a5c8ff4 in Php::DefaultVisitor::visitUnaryExpressionNotPlusminus(Php::UnaryExpressionNotPlusminusAst*) () from /usr/lib/libkdev4phpparser.so
#9  0x00007f495a818a8c in Php::ContextBuilder::visitUnaryExpression(Php::UnaryExpressionAst*) () from /usr/lib/libkdev4phpduchain.so
#10 0x00007f495a815adc in Php::DeclarationBuilder::visitUnaryExpression(Php::UnaryExpressionAst*) () from /usr/lib/libkdev4phpduchain.so
#11 0x00007f495a5c84a4 in Php::DefaultVisitor::visitMultiplicativeExpression(Php::MultiplicativeExpressionAst*) () from /usr/lib/libkdev4phpparser.so
#12 0x00007f495a5c73b4 in Php::DefaultVisitor::visitAdditiveExpression(Php::AdditiveExpressionAst*) () from /usr/lib/libkdev4phpparser.so
#13 0x00007f495a5c8924 in Php::DefaultVisitor::visitShiftExpression(Php::ShiftExpressionAst*) () from /usr/lib/libkdev4phpparser.so
#14 0x00007f495a5c883a in Php::DefaultVisitor::visitRelationalExpression(Php::RelationalExpressionAst*) () from /usr/lib/libkdev4phpparser.so
#15 0x00007f495a5c7fa4 in Php::DefaultVisitor::visitEqualityExpression(Php::EqualityExpressionAst*) () from /usr/lib/libkdev4phpparser.so
#16 0x00007f495a5c765d in Php::DefaultVisitor::visitBitAndExpression(Php::BitAndExpressionAst*) () from /usr/lib/libkdev4phpparser.so
#17 0x00007f495a5c76fd in Php::DefaultVisitor::visitBitXorExpression(Php::BitXorExpressionAst*) () from /usr/lib/libkdev4phpparser.so
#18 0x00007f495a5c76ad in Php::DefaultVisitor::visitBitOrExpression(Php::BitOrExpressionAst*) () from /usr/lib/libkdev4phpparser.so
#19 0x00007f495a5c774d in Php::DefaultVisitor::visitBooleanAndExpression(Php::BooleanAndExpressionAst*) () from /usr/lib/libkdev4phpparser.so
#20 0x00007f495a5c779d in Php::DefaultVisitor::visitBooleanOrExpression(Php::BooleanOrExpressionAst*) () from /usr/lib/libkdev4phpparser.so
#21 0x00007f495a5c7c1e in Php::DefaultVisitor::visitConditionalExpression(Php::ConditionalExpressionAst*) () from /usr/lib/libkdev4phpparser.so
#22 0x00007f495a5c747e in Php::DefaultVisitor::visitAssignmentExpression(Php::AssignmentExpressionAst*) () from /usr/lib/libkdev4phpparser.so
#23 0x00007f495a80cbc9 in Php::DeclarationBuilder::visitAssignmentExpression(Php::AssignmentExpressionAst*) () from /usr/lib/libkdev4phpduchain.so
#24 0x00007f495a5c83cd in Php::DefaultVisitor::visitLogicalAndExpression(Php::LogicalAndExpressionAst*) () from /usr/lib/libkdev4phpparser.so
#25 0x00007f495a5c846d in Php::DefaultVisitor::visitLogicalXorExpression(Php::LogicalXorExpressionAst*) () from /usr/lib/libkdev4phpparser.so
#26 0x00007f495a5c841d in Php::DefaultVisitor::visitLogicalOrExpression(Php::LogicalOrExpressionAst*) () from /usr/lib/libkdev4phpparser.so
#27 0x00007f495a8216b8 in Php::TypeBuilder::visitExpr(Php::ExprAst*) () from /usr/lib/libkdev4phpduchain.so
#28 0x00007f495a5c8b97 in Php::DefaultVisitor::visitStatement(Php::StatementAst*) () from /usr/lib/libkdev4phpparser.so
#29 0x00007f495a820140 in Php::TypeBuilder::visitStatement(Php::StatementAst*) () from /usr/lib/libkdev4phpduchain.so
#30 0x00007f495a810778 in Php::DeclarationBuilder::visitStatement(Php::StatementAst*) () from /usr/lib/libkdev4phpduchain.so
#31 0x00007f495a5c8f06 in Php::DefaultVisitor::visitTopStatement(Php::TopStatementAst*) () from /usr/lib/libkdev4phpparser.so
#32 0x00007f495a5c82cd in Php::DefaultVisitor::visitInnerStatementList(Php::InnerStatementListAst*) () from /usr/lib/libkdev4phpparser.so
#33 0x00007f495a5c89ea in Php::DefaultVisitor::visitStatement(Php::StatementAst*) () from /usr/lib/libkdev4phpparser.so
#34 0x00007f495a820140 in Php::TypeBuilder::visitStatement(Php::StatementAst*) () from /usr/lib/libkdev4phpduchain.so
#35 0x00007f495a810778 in Php::DeclarationBuilder::visitStatement(Php::StatementAst*) () from /usr/lib/libkdev4phpduchain.so
#36 0x00007f495a5c8a06 in Php::DefaultVisitor::visitStatement(Php::StatementAst*) () from /usr/lib/libkdev4phpparser.so
#37 0x00007f495a820140 in Php::TypeBuilder::visitStatement(Php::StatementAst*) () from /usr/lib/libkdev4phpduchain.so
#38 0x00007f495a810778 in Php::DeclarationBuilder::visitStatement(Php::StatementAst*) () from /usr/lib/libkdev4phpduchain.so
#39 0x00007f495a5c8f06 in Php::DefaultVisitor::visitTopStatement(Php::TopStatementAst*) () from /usr/lib/libkdev4phpparser.so
#40 0x00007f495a5c82cd in Php::DefaultVisitor::visitInnerStatementList(Php::InnerStatementListAst*) () from /usr/lib/libkdev4phpparser.so
#41 0x00007f495a5c89ea in Php::DefaultVisitor::visitStatement(Php::StatementAst*) () from /usr/lib/libkdev4phpparser.so
#42 0x00007f495a820140 in Php::TypeBuilder::visitStatement(Php::StatementAst*) () from /usr/lib/libkdev4phpduchain.so
#43 0x00007f495a810778 in Php::DeclarationBuilder::visitStatement(Php::StatementAst*) () from /usr/lib/libkdev4phpduchain.so
#44 0x00007f495a5c8a06 in Php::DefaultVisitor::visitStatement(Php::StatementAst*) () from /usr/lib/libkdev4phpparser.so
#45 0x00007f495a820140 in Php::TypeBuilder::visitStatement(Php::StatementAst*) () from /usr/lib/libkdev4phpduchain.so
#46 0x00007f495a810778 in Php::DeclarationBuilder::visitStatement(Php::StatementAst*) () from /usr/lib/libkdev4phpduchain.so
#47 0x00007f495a5c8f06 in Php::DefaultVisitor::visitTopStatement(Php::TopStatementAst*) () from /usr/lib/libkdev4phpparser.so
#48 0x00007f495a80d114 in Php::DeclarationBuilder::visitOuterTopStatement(Php::OuterTopStatementAst*) () from /usr/lib/libkdev4phpduchain.so
#49 0x00007f495a5c89bd in Php::DefaultVisitor::visitStart(Php::StartAst*) () from /usr/lib/libkdev4phpparser.so
#50 0x00007f495a81955d in Php::ContextBuilder::startVisiting(Php::AstNode*) () from /usr/lib/libkdev4phpduchain.so
#51 0x00007f495a80d53f in Php::DeclarationBuilder::supportBuild(Php::AstNode*, KDevelop::DUContext*) () from /usr/lib/libkdev4phpduchain.so
#52 0x00007f495a80e806 in Php::DeclarationBuilder::build(KDevelop::IndexedString const&, Php::AstNode*, KDevelop::ReferencedTopDUContext) () from /usr/lib/libkdev4phpduchain.so
#53 0x00007f495aa782d9 in ?? () from /usr/lib64/kde4/kdevphplanguagesupport.so
#54 0x00007f497ced5f95 in ?? () from /usr/lib/libthreadweaver.so.4
#55 0x00007f497ced628e in ThreadWeaver::Job::execute(ThreadWeaver::Thread*) () from /usr/lib/libthreadweaver.so.4
#56 0x00007f497ced52cf in ?? () from /usr/lib/libthreadweaver.so.4
#57 0x00007f497ced5848 in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#58 0x00007f49854e4235 in ?? () from /usr/lib64/qt4/libQtCore.so.4
#59 0x00007f4983f79894 in start_thread () from /lib/libpthread.so.0
#60 0x00007f498426027d in clone () from /lib/libc.so.6

Thread 8 (Thread 0x7f494a7fc710 (LWP 1952)):
#0  0x00007f498423063d in nanosleep () from /lib/libc.so.6
#1  0x00007f498425a254 in usleep () from /lib/libc.so.6
#2  0x00007f4981daf6ee in KDevelop::DUChainLock::lockForWrite(unsigned int) () from /usr/lib/libkdevplatformlanguage.so.3
#3  0x00007f4981daf7a4 in KDevelop::DUChainWriteLocker::lock() () from /usr/lib/libkdevplatformlanguage.so.3
#4  0x00007f495a816105 in Php::DeclarationBuilder::declareVariable(KDevelop::DUContext*, TypePtr<KDevelop::AbstractType>, KDevelop::QualifiedIdentifier const&, Php::AstNode*) ()
   from /usr/lib/libkdev4phpduchain.so
#5  0x00007f495a817881 in Php::DeclarationBuilder::visitAssignmentExpressionEqual(Php::AssignmentExpressionEqualAst*) () from /usr/lib/libkdev4phpduchain.so
#6  0x00007f495a5c748b in Php::DefaultVisitor::visitAssignmentExpression(Php::AssignmentExpressionAst*) () from /usr/lib/libkdev4phpparser.so
#7  0x00007f495a80cb3b in Php::DeclarationBuilder::visitAssignmentExpression(Php::AssignmentExpressionAst*) () from /usr/lib/libkdev4phpduchain.so
#8  0x00007f495a5c83cd in Php::DefaultVisitor::visitLogicalAndExpression(Php::LogicalAndExpressionAst*) () from /usr/lib/libkdev4phpparser.so
#9  0x00007f495a5c846d in Php::DefaultVisitor::visitLogicalXorExpression(Php::LogicalXorExpressionAst*) () from /usr/lib/libkdev4phpparser.so
#10 0x00007f495a5c841d in Php::DefaultVisitor::visitLogicalOrExpression(Php::LogicalOrExpressionAst*) () from /usr/lib/libkdev4phpparser.so
#11 0x00007f495a8216b8 in Php::TypeBuilder::visitExpr(Php::ExprAst*) () from /usr/lib/libkdev4phpduchain.so
#12 0x00007f495a5c8b97 in Php::DefaultVisitor::visitStatement(Php::StatementAst*) () from /usr/lib/libkdev4phpparser.so
#13 0x00007f495a820140 in Php::TypeBuilder::visitStatement(Php::StatementAst*) () from /usr/lib/libkdev4phpduchain.so
#14 0x00007f495a810778 in Php::DeclarationBuilder::visitStatement(Php::StatementAst*) () from /usr/lib/libkdev4phpduchain.so
#15 0x00007f495a5c8f06 in Php::DefaultVisitor::visitTopStatement(Php::TopStatementAst*) () from /usr/lib/libkdev4phpparser.so
#16 0x00007f495a5c82cd in Php::DefaultVisitor::visitInnerStatementList(Php::InnerStatementListAst*) () from /usr/lib/libkdev4phpparser.so
#17 0x00007f495a5c89ea in Php::DefaultVisitor::visitStatement(Php::StatementAst*) () from /usr/lib/libkdev4phpparser.so
#18 0x00007f495a820140 in Php::TypeBuilder::visitStatement(Php::StatementAst*) () from /usr/lib/libkdev4phpduchain.so
#19 0x00007f495a810778 in Php::DeclarationBuilder::visitStatement(Php::StatementAst*) () from /usr/lib/libkdev4phpduchain.so
#20 0x00007f495a5c8a06 in Php::DefaultVisitor::visitStatement(Php::StatementAst*) () from /usr/lib/libkdev4phpparser.so
#21 0x00007f495a820140 in Php::TypeBuilder::visitStatement(Php::StatementAst*) () from /usr/lib/libkdev4phpduchain.so
#22 0x00007f495a810778 in Php::DeclarationBuilder::visitStatement(Php::StatementAst*) () from /usr/lib/libkdev4phpduchain.so
#23 0x00007f495a5c8f06 in Php::DefaultVisitor::visitTopStatement(Php::TopStatementAst*) () from /usr/lib/libkdev4phpparser.so
#24 0x00007f495a5c82cd in Php::DefaultVisitor::visitInnerStatementList(Php::InnerStatementListAst*) () from /usr/lib/libkdev4phpparser.so
#25 0x00007f495a5c89ea in Php::DefaultVisitor::visitStatement(Php::StatementAst*) () from /usr/lib/libkdev4phpparser.so
#26 0x00007f495a820140 in Php::TypeBuilder::visitStatement(Php::StatementAst*) () from /usr/lib/libkdev4phpduchain.so
#27 0x00007f495a810778 in Php::DeclarationBuilder::visitStatement(Php::StatementAst*) () from /usr/lib/libkdev4phpduchain.so
#28 0x00007f495a5c8a06 in Php::DefaultVisitor::visitStatement(Php::StatementAst*) () from /usr/lib/libkdev4phpparser.so
#29 0x00007f495a820140 in Php::TypeBuilder::visitStatement(Php::StatementAst*) () from /usr/lib/libkdev4phpduchain.so
#30 0x00007f495a810778 in Php::DeclarationBuilder::visitStatement(Php::StatementAst*) () from /usr/lib/libkdev4phpduchain.so
#31 0x00007f495a5c8f06 in Php::DefaultVisitor::visitTopStatement(Php::TopStatementAst*) () from /usr/lib/libkdev4phpparser.so
#32 0x00007f495a5c82cd in Php::DefaultVisitor::visitInnerStatementList(Php::InnerStatementListAst*) () from /usr/lib/libkdev4phpparser.so
#33 0x00007f495a81b042 in Php::ContextBuilder::visitClassStatement(Php::ClassStatementAst*) () from /usr/lib/libkdev4phpduchain.so
#34 0x00007f495a823057 in Php::TypeBuilder::visitClassStatement(Php::ClassStatementAst*) () from /usr/lib/libkdev4phpduchain.so
#35 0x00007f495a81343b in Php::DeclarationBuilder::visitClassStatement(Php::ClassStatementAst*) () from /usr/lib/libkdev4phpduchain.so
#36 0x00007f495a5c78cd in Php::DefaultVisitor::visitClassBody(Php::ClassBodyAst*) () from /usr/lib/libkdev4phpparser.so
#37 0x00007f495a819ce0 in Php::ContextBuilder::visitClassDeclarationStatement(Php::ClassDeclarationStatementAst*) () from /usr/lib/libkdev4phpduchain.so
#38 0x00007f495a815774 in Php::DeclarationBuilder::visitClassDeclarationStatement(Php::ClassDeclarationStatementAst*) () from /usr/lib/libkdev4phpduchain.so
#39 0x00007f495a5c8f20 in Php::DefaultVisitor::visitTopStatement(Php::TopStatementAst*) () from /usr/lib/libkdev4phpparser.so
#40 0x00007f495a80d114 in Php::DeclarationBuilder::visitOuterTopStatement(Php::OuterTopStatementAst*) () from /usr/lib/libkdev4phpduchain.so
#41 0x00007f495a5c89bd in Php::DefaultVisitor::visitStart(Php::StartAst*) () from /usr/lib/libkdev4phpparser.so
#42 0x00007f495a81955d in Php::ContextBuilder::startVisiting(Php::AstNode*) () from /usr/lib/libkdev4phpduchain.so
#43 0x00007f495a80d53f in Php::DeclarationBuilder::supportBuild(Php::AstNode*, KDevelop::DUContext*) () from /usr/lib/libkdev4phpduchain.so
#44 0x00007f495a80e806 in Php::DeclarationBuilder::build(KDevelop::IndexedString const&, Php::AstNode*, KDevelop::ReferencedTopDUContext) () from /usr/lib/libkdev4phpduchain.so
#45 0x00007f495aa782d9 in ?? () from /usr/lib64/kde4/kdevphplanguagesupport.so
#46 0x00007f497ced5f95 in ?? () from /usr/lib/libthreadweaver.so.4
#47 0x00007f497ced628e in ThreadWeaver::Job::execute(ThreadWeaver::Thread*) () from /usr/lib/libthreadweaver.so.4
#48 0x00007f497ced52cf in ?? () from /usr/lib/libthreadweaver.so.4
#49 0x00007f497ced5848 in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#50 0x00007f49854e4235 in ?? () from /usr/lib64/qt4/libQtCore.so.4
#51 0x00007f4983f79894 in start_thread () from /lib/libpthread.so.0
#52 0x00007f498426027d in clone () from /lib/libc.so.6

Thread 7 (Thread 0x7f4949ffb710 (LWP 1953)):
#0  0x00007f498423063d in nanosleep () from /lib/libc.so.6
#1  0x00007f498425a254 in usleep () from /lib/libc.so.6
#2  0x00007f4981daf6ee in KDevelop::DUChainLock::lockForWrite(unsigned int) () from /usr/lib/libkdevplatformlanguage.so.3
#3  0x00007f4981daf7a4 in KDevelop::DUChainWriteLocker::lock() () from /usr/lib/libkdevplatformlanguage.so.3
#4  0x00007f495a80d719 in Php::DeclarationBuilder::closeDeclaration() () from /usr/lib/libkdev4phpduchain.so
#5  0x00007f495a813447 in Php::DeclarationBuilder::visitClassStatement(Php::ClassStatementAst*) () from /usr/lib/libkdev4phpduchain.so
#6  0x00007f495a5c78cd in Php::DefaultVisitor::visitClassBody(Php::ClassBodyAst*) () from /usr/lib/libkdev4phpparser.so
#7  0x00007f495a819ce0 in Php::ContextBuilder::visitClassDeclarationStatement(Php::ClassDeclarationStatementAst*) () from /usr/lib/libkdev4phpduchain.so
#8  0x00007f495a815774 in Php::DeclarationBuilder::visitClassDeclarationStatement(Php::ClassDeclarationStatementAst*) () from /usr/lib/libkdev4phpduchain.so
#9  0x00007f495a5c8f20 in Php::DefaultVisitor::visitTopStatement(Php::TopStatementAst*) () from /usr/lib/libkdev4phpparser.so
#10 0x00007f495a80d114 in Php::DeclarationBuilder::visitOuterTopStatement(Php::OuterTopStatementAst*) () from /usr/lib/libkdev4phpduchain.so
#11 0x00007f495a5c89bd in Php::DefaultVisitor::visitStart(Php::StartAst*) () from /usr/lib/libkdev4phpparser.so
#12 0x00007f495a81955d in Php::ContextBuilder::startVisiting(Php::AstNode*) () from /usr/lib/libkdev4phpduchain.so
#13 0x00007f495a80d53f in Php::DeclarationBuilder::supportBuild(Php::AstNode*, KDevelop::DUContext*) () from /usr/lib/libkdev4phpduchain.so
#14 0x00007f495a80e806 in Php::DeclarationBuilder::build(KDevelop::IndexedString const&, Php::AstNode*, KDevelop::ReferencedTopDUContext) () from /usr/lib/libkdev4phpduchain.so
#15 0x00007f495aa782d9 in ?? () from /usr/lib64/kde4/kdevphplanguagesupport.so
#16 0x00007f497ced5f95 in ?? () from /usr/lib/libthreadweaver.so.4
#17 0x00007f497ced628e in ThreadWeaver::Job::execute(ThreadWeaver::Thread*) () from /usr/lib/libthreadweaver.so.4
#18 0x00007f497ced52cf in ?? () from /usr/lib/libthreadweaver.so.4
#19 0x00007f497ced5848 in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#20 0x00007f49854e4235 in ?? () from /usr/lib64/qt4/libQtCore.so.4
#21 0x00007f4983f79894 in start_thread () from /lib/libpthread.so.0
#22 0x00007f498426027d in clone () from /lib/libc.so.6

Thread 6 (Thread 0x7f49497fa710 (LWP 1954)):
#0  0x00007f498423063d in nanosleep () from /lib/libc.so.6
#1  0x00007f498425a254 in usleep () from /lib/libc.so.6
#2  0x00007f4981daf6ee in KDevelop::DUChainLock::lockForWrite(unsigned int) () from /usr/lib/libkdevplatformlanguage.so.3
#3  0x00007f4981daf7a4 in KDevelop::DUChainWriteLocker::lock() () from /usr/lib/libkdevplatformlanguage.so.3
#4  0x00007f4948d47168 in ?? () from /usr/lib/libkdev4cppduchain.so
#5  0x00007f4948d51f13 in DeclarationBuilder::openNormalDeclaration(NameAST*, AST*, KDevelop::Identifier const&, bool) () from /usr/lib/libkdev4cppduchain.so
#6  0x00007f4948d523d6 in DeclarationBuilder::openDefinition(NameAST*, AST*, bool) () from /usr/lib/libkdev4cppduchain.so
#7  0x00007f4948d583ec in DeclarationBuilder::visitDeclarator(DeclaratorAST*) () from /usr/lib/libkdev4cppduchain.so
#8  0x00007f4948aa026b in DefaultVisitor::visitParameterDeclaration(ParameterDeclarationAST*) () from /usr/lib/libkdev4cppparser.so
#9  0x00007f4948d69d54 in TypeBuilder::visitParameterDeclaration(ParameterDeclarationAST*) () from /usr/lib/libkdev4cppduchain.so
#10 0x00007f4948d525b3 in DeclarationBuilder::visitParameterDeclaration(ParameterDeclarationAST*) () from /usr/lib/libkdev4cppduchain.so
#11 0x00007f4948aa02c6 in DefaultVisitor::visitParameterDeclarationClause(ParameterDeclarationClauseAST*) () from /usr/lib/libkdev4cppparser.so
#12 0x00007f4948d2f66c in ContextBuilder::visitParameterDeclarationClause(ParameterDeclarationClauseAST*) () from /usr/lib/libkdev4cppduchain.so
#13 0x00007f4948d30edf in ContextBuilder::visitDeclarator(DeclaratorAST*) () from /usr/lib/libkdev4cppduchain.so
#14 0x00007f4948d5840e in DeclarationBuilder::visitDeclarator(DeclaratorAST*) () from /usr/lib/libkdev4cppduchain.so
#15 0x00007f4948d323a8 in ContextBuilder::visitInitDeclarator(InitDeclaratorAST*) () from /usr/lib/libkdev4cppduchain.so
#16 0x00007f4948d4455a in DeclarationBuilder::visitInitDeclarator(InitDeclaratorAST*) () from /usr/lib/libkdev4cppduchain.so
#17 0x00007f4948d41b9a in DeclarationBuilder::visitFunctionDeclaration(FunctionDefinitionAST*) () from /usr/lib/libkdev4cppduchain.so
#18 0x00007f4948d31b5f in ContextBuilder::visitFunctionDefinition(FunctionDefinitionAST*) () from /usr/lib/libkdev4cppduchain.so
#19 0x00007f4948aa0b16 in ?? () from /usr/lib/libkdev4cppparser.so
#20 0x00007f4948d30a36 in ContextBuilder::visitClassSpecifier(ClassSpecifierAST*) () from /usr/lib/libkdev4cppduchain.so
#21 0x00007f4948d6c8e9 in TypeBuilder::visitClassSpecifier(ClassSpecifierAST*) () from /usr/lib/libkdev4cppduchain.so
#22 0x00007f4948d4c175 in DeclarationBuilder::visitClassSpecifier(ClassSpecifierAST*) () from /usr/lib/libkdev4cppduchain.so
#23 0x00007f4948d69af5 in TypeBuilder::visitSimpleDeclaration(SimpleDeclarationAST*) () from /usr/lib/libkdev4cppduchain.so
#24 0x00007f4948d41923 in DeclarationBuilder::visitSimpleDeclaration(SimpleDeclarationAST*) () from /usr/lib/libkdev4cppduchain.so
#25 0x00007f4948aa0b16 in ?? () from /usr/lib/libkdev4cppparser.so
#26 0x00007f4948d350a1 in ?? () from /usr/lib/libkdev4cppduchain.so
#27 0x00007f4948d346ad in ContextBuilder::buildContexts(KSharedPtr<Cpp::EnvironmentFile>, AST*, QList<LineContextPair>*, KDevelop::ReferencedTopDUContext const&, bool) ()
   from /usr/lib/libkdev4cppduchain.so
#28 0x00007f4948d40445 in DeclarationBuilder::buildDeclarations(KSharedPtr<Cpp::EnvironmentFile>, AST*, QList<LineContextPair>*, KDevelop::ReferencedTopDUContext const&, bool) ()
   from /usr/lib/libkdev4cppduchain.so
#29 0x00007f49503ff2bc in ?? () from /usr/lib64/kde4/kdevcpplanguagesupport.so
#30 0x00007f4950404543 in ?? () from /usr/lib64/kde4/kdevcpplanguagesupport.so
#31 0x00007f49501b9e07 in rpp::pp::handle_include(bool, rpp::Stream&, rpp::Stream&) () from /usr/lib/libkdev4cpprpp.so
#32 0x00007f49501bc989 in rpp::pp::handle_directive(unsigned int, rpp::Stream&, rpp::Stream&) () from /usr/lib/libkdev4cpprpp.so
#33 0x00007f49501bd11f in rpp::pp::operator()(rpp::Stream&, rpp::Stream&) () from /usr/lib/libkdev4cpprpp.so
#34 0x00007f49501bd333 in rpp::pp::processFileInternal(QString const&, QByteArray const&, QVector<unsigned int>&) () from /usr/lib/libkdev4cpprpp.so
#35 0x00007f49501bd3d5 in rpp::pp::processFile(QString const&, QByteArray const&) () from /usr/lib/libkdev4cpprpp.so
#36 0x00007f4950406050 in ?? () from /usr/lib64/kde4/kdevcpplanguagesupport.so
#37 0x00007f49503fbcfe in ?? () from /usr/lib64/kde4/kdevcpplanguagesupport.so
#38 0x00007f4950404543 in ?? () from /usr/lib64/kde4/kdevcpplanguagesupport.so
#39 0x00007f49501b9e07 in rpp::pp::handle_include(bool, rpp::Stream&, rpp::Stream&) () from /usr/lib/libkdev4cpprpp.so
#40 0x00007f49501bc989 in rpp::pp::handle_directive(unsigned int, rpp::Stream&, rpp::Stream&) () from /usr/lib/libkdev4cpprpp.so
#41 0x00007f49501bd11f in rpp::pp::operator()(rpp::Stream&, rpp::Stream&) () from /usr/lib/libkdev4cpprpp.so
#42 0x00007f49501bd333 in rpp::pp::processFileInternal(QString const&, QByteArray const&, QVector<unsigned int>&) () from /usr/lib/libkdev4cpprpp.so
#43 0x00007f49501bd3d5 in rpp::pp::processFile(QString const&, QByteArray const&) () from /usr/lib/libkdev4cpprpp.so
#44 0x00007f4950406050 in ?? () from /usr/lib64/kde4/kdevcpplanguagesupport.so
#45 0x00007f49503fbcfe in ?? () from /usr/lib64/kde4/kdevcpplanguagesupport.so
#46 0x00007f4950404543 in ?? () from /usr/lib64/kde4/kdevcpplanguagesupport.so
#47 0x00007f49501b9e07 in rpp::pp::handle_include(bool, rpp::Stream&, rpp::Stream&) () from /usr/lib/libkdev4cpprpp.so
#48 0x00007f49501bc989 in rpp::pp::handle_directive(unsigned int, rpp::Stream&, rpp::Stream&) () from /usr/lib/libkdev4cpprpp.so
#49 0x00007f49501bd11f in rpp::pp::operator()(rpp::Stream&, rpp::Stream&) () from /usr/lib/libkdev4cpprpp.so
#50 0x00007f49501bd333 in rpp::pp::processFileInternal(QString const&, QByteArray const&, QVector<unsigned int>&) () from /usr/lib/libkdev4cpprpp.so
#51 0x00007f49501bd3d5 in rpp::pp::processFile(QString const&, QByteArray const&) () from /usr/lib/libkdev4cpprpp.so
#52 0x00007f4950406050 in ?? () from /usr/lib64/kde4/kdevcpplanguagesupport.so
#53 0x00007f497ced5f95 in ?? () from /usr/lib/libthreadweaver.so.4
#54 0x00007f497ced628e in ThreadWeaver::Job::execute(ThreadWeaver::Thread*) () from /usr/lib/libthreadweaver.so.4
#55 0x00007f497ced76b3 in ?? () from /usr/lib/libthreadweaver.so.4
#56 0x00007f497ced52cf in ?? () from /usr/lib/libthreadweaver.so.4
#57 0x00007f497ced5848 in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#58 0x00007f49854e4235 in ?? () from /usr/lib64/qt4/libQtCore.so.4
#59 0x00007f4983f79894 in start_thread () from /lib/libpthread.so.0
#60 0x00007f498426027d in clone () from /lib/libc.so.6

Thread 5 (Thread 0x7f4948a89710 (LWP 1955)):
#0  0x00007f49842575c3 in poll () from /lib/libc.so.6
#1  0x00007f497f284c6a in ?? () from /usr/lib/libglib-2.0.so.0
#2  0x00007f497f284ffb in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#3  0x00007f49855fd576 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#4  0x00007f49855d2642 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#5  0x00007f49855d2a14 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#6  0x00007f49854e1a69 in QThread::exec() () from /usr/lib64/qt4/libQtCore.so.4
#7  0x00007f49854e4235 in ?? () from /usr/lib64/qt4/libQtCore.so.4
#8  0x00007f4983f79894 in start_thread () from /lib/libpthread.so.0
#9  0x00007f498426027d in clone () from /lib/libc.so.6

Thread 4 (Thread 0x7f4948288710 (LWP 1956)):
#0  0x00007f49842575c3 in poll () from /lib/libc.so.6
#1  0x00007f497f284c6a in ?? () from /usr/lib/libglib-2.0.so.0
#2  0x00007f497f284ffb in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#3  0x00007f49855fd576 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#4  0x00007f49855d2642 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#5  0x00007f49855d2a14 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#6  0x00007f49854e1a69 in QThread::exec() () from /usr/lib64/qt4/libQtCore.so.4
#7  0x00007f49854e4235 in ?? () from /usr/lib64/qt4/libQtCore.so.4
#8  0x00007f4983f79894 in start_thread () from /lib/libpthread.so.0
#9  0x00007f498426027d in clone () from /lib/libc.so.6

Thread 3 (Thread 0x7f4962bf3710 (LWP 1967)):
#0  0x00007f4983f7e23c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f49854e5199 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/qt4/libQtCore.so.4
#2  0x00007f497ced4aa6 in ?? () from /usr/lib/libthreadweaver.so.4
#3  0x00007f497ced6d5b in ?? () from /usr/lib/libthreadweaver.so.4
#4  0x00007f497ced6d74 in ?? () from /usr/lib/libthreadweaver.so.4
#5  0x00007f497ced52ff in ?? () from /usr/lib/libthreadweaver.so.4
#6  0x00007f497ced5848 in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#7  0x00007f49854e4235 in ?? () from /usr/lib64/qt4/libQtCore.so.4
#8  0x00007f4983f79894 in start_thread () from /lib/libpthread.so.0
#9  0x00007f498426027d in clone () from /lib/libc.so.6

Thread 2 (Thread 0x7f4960fd4710 (LWP 1968)):
#0  0x00007f4983f7e23c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f49854e5199 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/qt4/libQtCore.so.4
#2  0x00007f497ced4aa6 in ?? () from /usr/lib/libthreadweaver.so.4
#3  0x00007f497ced6d5b in ?? () from /usr/lib/libthreadweaver.so.4
#4  0x00007f497ced52ff in ?? () from /usr/lib/libthreadweaver.so.4
#5  0x00007f497ced5848 in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#6  0x00007f49854e4235 in ?? () from /usr/lib64/qt4/libQtCore.so.4
#7  0x00007f4983f79894 in start_thread () from /lib/libpthread.so.0
#8  0x00007f498426027d in clone () from /lib/libc.so.6

Thread 1 (Thread 0x7f4986fc2760 (LWP 1678)):
#0  0x00007f4983f7e23c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f49854e5199 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/qt4/libQtCore.so.4
#2  0x00007f49854e42e4 in QThread::wait(unsigned long) () from /usr/lib64/qt4/libQtCore.so.4
#3  0x00007f49855b07db in ?? () from /usr/lib64/qt4/libQtCore.so.4
#4  0x00007f49841c3c55 in ?? () from /lib/libc.so.6
#5  0x00007f49841c3ca5 in exit () from /lib/libc.so.6
#6  0x00007f4984a29b38 in ?? () from /usr/lib64/qt4/libQtGui.so.4
#7  0x00007f4985da4548 in KApplication::xioErrhandler(_XDisplay*) () from /usr/lib/libkdeui.so.5
#8  0x00007f49808327fe in _XIOError () from /usr/lib/libX11.so.6
#9  0x00007f4980839848 in ?? () from /usr/lib/libX11.so.6
#10 0x00007f498083a147 in _XEventsQueued () from /usr/lib/libX11.so.6
#11 0x00007f498082311b in XEventsQueued () from /usr/lib/libX11.so.6
#12 0x00007f4984a61eec in ?? () from /usr/lib64/qt4/libQtGui.so.4
#13 0x00007f497f28435a in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#14 0x00007f497f284cb1 in ?? () from /usr/lib/libglib-2.0.so.0
#15 0x00007f497f284ffb in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#16 0x00007f49855fd55c in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#17 0x00007f4984a61d2e in ?? () from /usr/lib64/qt4/libQtGui.so.4
#18 0x00007f49855d2642 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#19 0x00007f49855d2a14 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#20 0x00007f49855d6746 in QCoreApplication::exec() () from /usr/lib64/qt4/libQtCore.so.4
#21 0x000000000040b792 in _start ()

Possible duplicates by query: bug 232687.

Reported using DrKonqi
Comment 1 Tobias Hochgürtel 2010-11-17 13:10:25 UTC
Created attachment 53488 [details]
New crash information added by DrKonqi

kdevelop (4.1.60) on KDE Platform 4.5.3 (KDE 4.5.3) using Qt 4.6.3

- What I was doing when the application crashed:

Parser was finished. And U have created an New File. (works fine) Then I copy three require_once()-lines (works fine) and then I want paste them in my New File (kdevelop4.1 crashs)

-- Backtrace (Reduced):
#7  0x00007f5c86e65e54 in Php::ExpressionVisitor::visitEncapsVar(Php::EncapsVarAst*) () from /usr/lib/libkdev4phpduchain.so
#8  0x00007f5c86c04f1d in Php::DefaultVisitor::visitEncapsList(Php::EncapsListAst*) () from /usr/lib/libkdev4phpparser.so
#9  0x00007f5c86e6274e in Php::ExpressionVisitor::visitScalar(Php::ScalarAst*) () from /usr/lib/libkdev4phpduchain.so
#10 0x00007f5c86c06167 in Php::DefaultVisitor::visitVarExpressionNormal(Php::VarExpressionNormalAst*) () from /usr/lib/libkdev4phpparser.so
#11 0x00007f5c86e63481 in Php::ExpressionVisitor::visitVarExpressionNormal(Php::VarExpressionNormalAst*) () from /usr/lib/libkdev4phpduchain.so
Comment 2 Tobias Hochgürtel 2010-11-17 13:14:55 UTC
Kdevelop 4.1. doesn't crashed when I was Adding the Lines from Outside ( kate ) while having the same file opend in kdevelop and kate. Ater changing back to kdevelop and looking to the file which has changed, I get the Information and can push F5 for reaload and kevelop doesn't crash.I don't know if this information will help.
Comment 3 Milian Wolff 2010-11-17 13:53:06 UTC
please write down the exact steps to reproduce, esp. the sources you input. Also you might want to decrease the number of parsing threads, experience shows that more than two is simply not helping (sadly!) in KDevelop due to technical difficulties. 

Also, better debug symbols would be helping (with line numbers etc.), though not neccessarily required. For starters you could run KDevelop through valgrind and show me the log it produces when reproducing the issue:

valgrind --track-origins=yes --num-callers=25 kdevelop

Thanks
Comment 4 Milian Wolff 2010-12-17 22:48:56 UTC
waiting for information
Comment 5 Andrew Crouthamel 2018-09-20 21:51:01 UTC
Dear Bug Submitter,

This bug has been in NEEDSINFO status with no change for at least 15 days. Please provide the requested information as soon as possible and set the bug status as REPORTED. Due to regular bug tracker maintenance, if the bug is still in NEEDSINFO status with no change in 30 days, the bug will be closed as RESOLVED > WORKSFORME due to lack of needed information.

For more information about our bug triaging procedures please read the wiki located here: https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

If you have already provided the requested information, please set the bug status as REPORTED so that the KDE team knows that the bug is ready to be confirmed.

Thank you for helping us make KDE software even better for everyone!
Comment 6 Andrew Crouthamel 2018-10-21 04:35:19 UTC
This bug has been in NEEDSINFO status with no change for at least
30 days. The bug is now closed as RESOLVED > WORKSFORME
due to lack of needed information.

For more information about our bug triaging procedures please read the
wiki located here:
https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

Thank you for helping us make KDE software even better for everyone!